> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sudo.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Card PIN

> Change PIN for a specific card. Available for both Verve and AfriGo (physical and virtual) cards.



## OpenAPI

````yaml openapi.json put /cards/{id}/pin
openapi: 3.1.0
info:
  title: Sudo Sandbox API
  version: '1.0'
servers:
  - url: https://api.sandbox.sudo.cards
security:
  - sec0: []
paths:
  /cards/{id}/pin:
    put:
      summary: Change Card PIN
      description: >-
        Change PIN for a specific card. Available for both Verve and AfriGo
        (physical and virtual) cards.
      operationId: change-card-pin
      parameters:
        - name: id
          in: path
          description: The `_id` of the card to update.
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - oldPin
                - newPin
              properties:
                oldPin:
                  type: string
                  description: 4 digits old card PIN.
                newPin:
                  type: string
                  description: 4 digits new card PIN.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      x-default: '{{APIKey}}'

````